Package org.apache.wiki.tags

# Class TabTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.apache.wiki.tags.WikiTagBase
org.apache.wiki.tags.TabTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `jakarta.servlet.jsp.tagext.TryCatchFinally`, `Serializable`

public class TabTag extends WikiTagBase
Generates single tabbed page layout. Works together with the tabbedSection javascript. Note that if you do not specify an url, the body contents of the tag are loaded by the tag itself.

Attributes

- id - ID for this tab. (mandatory)
- title - Title of this tab. (mandatory)
- accesskey - Single char usable as quick accesskey (alt- or ctrl-) (optional)
- url - If you don't want to create a Javascript-enabled tag, you can use this to make the tab look just the usual tag, but instead, it will actually link to that page. This can be useful in certain cases where you have something that you want to look like a part of a tag, but for example, due to it being very big in size, don't want to include it as a part of the page content every time.

Since:
  v2.3.63
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`TabTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`void`
`doFinally()`
`int`
`doWikiStartTag()`
This method is allowed to do pretty much whatever he wants.
`void`
`setAccesskey(String anAccesskey)`
Sets the tab access key.
`void`
`setTitle(String aTabTitle)`
Sets the tab title.
`void`
`setUrl(String url)`
Sets the tab URL.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doStartTag, initTag, setId, setPageContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabTag

public TabTag()

## Method Details

### doFinally

public void doFinally()

Specified by:
  `doFinally` in interface `jakarta.servlet.jsp.tagext.TryCatchFinally`
Overrides:
  `doFinally` in class `WikiTagBase`

### setTitle

public void setTitle(String aTabTitle)
Sets the tab title.

Parameters:
  `aTabTitle` - the tab title

### setAccesskey

public void setAccesskey(String anAccesskey)
Sets the tab access key.

Parameters:
  `anAccesskey` - the access key

### setUrl

public void setUrl(String url)
Sets the tab URL.

Parameters:
  `url` - the URL

### doWikiStartTag

public int doWikiStartTag() throws jakarta.servlet.jsp.JspTagException
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `jakarta.servlet.jsp.JspTagException`

### doEndTag

public int doEndTag() throws jakarta.servlet.jsp.JspTagException

Specified by:
  `doEndTag` in interface `jakarta.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `WikiTagBase`
Throws:
  `jakarta.servlet.jsp.JspTagException`